## org.apache.http.client.methods
Class HttpPatch

    java.lang.Object
      org.apache.http.message.AbstractHttpMessage
          org.apache.http.client.methods.HttpRequestBase
              org.apache.http.client.methods.HttpEntityEnclosingRequestBase
                  org.apache.http.client.methods.HttpPatch

All Implemented Interfaces:
  Cloneable, AbortableHttpRequest, HttpUriRequest, HttpEntityEnclosingRequest, HttpMessage, HttpRequest

    @NotThreadSafe
    public class HttpPatch

extends HttpEntityEnclosingRequestBase

HTTP PATCH method.

The HTTP PATCH method is defined in RF5789:

> The PATCH method requests that a set of changes described in the request entity be applied to the resource identified by the Request- URI. Differs from the PUT method in the way the server processes the enclosed entity to modify the resource identified by the Request-URI. In a PUT request, the enclosed entity origin server, and the client is requesting that the stored version be replaced. With PATCH, however, the enclosed entity contains a set of instructions describing how a resource currently residing on the origin server should be modified to produce a new version.

Since:
  4.2

Field Summary
`static String` `METHOD_NAME`

Fields inherited from class org.apache.http.message.AbstractHttpMessage
`headergroup, params`

Constructor Summary
`HttpPatch()`
`HttpPatch(String uri)`
`HttpPatch(URI uri)`

Method Summary
`String` `getMethod()` Returns the HTTP method this request uses, such as `GET`, `PUT`, `POST`, or other.

Methods inherited from class org.apache.http.client.methods.HttpEntityEnclosingRequestBase
`clone, expectContinue, getEntity, setEntity`

Methods inherited from class org.apache.http.client.methods.HttpRequestBase
`abort, getProtocolVersion, getRequestLine, getURI, isAborted, releaseConnection, reset, setConnectionRequest, setReleaseTrigger, setURI, toString`

Methods inherited from class org.apache.http.message.AbstractHttpMessage
`addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.http.HttpRequest
`getRequestLine`

Methods inherited from interface org.apache.http.HttpMessage
`addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, getProtocolVersion, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

Field Detail

### METHOD_NAME

    public static final String METHOD_NAME

See Also:
  Constant Field Values

Constructor Detail

### HttpPatch

    public HttpPatch()

### HttpPatch

    public HttpPatch(URI uri)

### HttpPatch

    public HttpPatch(String uri)

Method Detail

### getMethod

    public String getMethod()

  Description copied from interface: `HttpUriRequest`
  Returns the HTTP method this request uses, such as `GET`, `PUT`, `POST`, or other.

  Specified by:
    `getMethod` in interface `HttpUriRequest`
  Specified by:
    `getMethod` in class `HttpRequestBase`

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.